#include <iostream>
using namespace std;

class a_type{
	double a,b;
public:
	a_type(double x, double y){
		a = x;
		b = y;
	}
	void show(){cout << a << ' ' << b << "\n";}
};

int main(){
	a_type a[2][5] = {
		{a_type(0,1),a_type(2,3),a_type(4,5),a_type(6,7),a_type(8,9)},
		{a_type(10,11),a_type(12,13),a_type(14,15),a_type(16,17),a_type(18,19)}
	};
	
	a_type *ap;
	ap = &a[0][0];
	for (int i = 0; i < 2; i++){
		for (int j = 0; j < 5; j++){
			ap->show();
			ap++;
		}
	}
	
	return 0;
}